union: calculate new geometry containing geometries A or B

## Functions

template<typename Geometry1 , typename Geometry2 , typename Collection >
void | boost::geometry::union_ (Geometry1 const &geometry1, Geometry2 const &geometry2, Collection &output_collection)
| Combines two geometries which each other.

## Function Documentation

template<typename Geometry1 , typename Geometry2 , typename Collection >

void boost::geometry::union_ | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2,
|  | Collection & | output_collection
| ) |  |

Combines two geometries which each other.

The free function union calculates the spatial set theoretic union of two geometries.

Template Parameters:

  Geometry1 | Any type fulfilling a Geometry Concept
  Geometry2 | Any type fulfilling a Geometry Concept
  Collection | output collection, either a multi-geometry, or a std::vector<Geometry> / std::deque<Geometry> etc

Parameters:

  geometry1 | A model of the specified concept
  geometry2 | A model of the specified concept
  output_collection | the output collection

Note:
  Called union_ because union is a reserved word.

Examples:
  03_polygon_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK